Evaluators
Start a pending upload
Initiates a new pending upload or retrieves an existing one for the specified evaluator version.
路徑參數
name
string
必要
The name path parameter.
version
string
必要
The specific version id of the EvaluatorVersion to operate on.
查詢參數
api-version
string
必要
The API version to use for this operation.
要求本文
The pending upload request parameters
pendingUploadId
string
If PendingUploadId is not provided, a random GUID will be used.
connectionName
string
Azure Storage Account connection name to use for generating temporary SAS token
pendingUploadType
enum
必要
The type of pending upload.
回覆
The request has succeeded.
主體
blobReference
BlobReference
必要
Blob reference details.
blobUri
string
必要
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
必要
ARM ID of the storage account to use.
credential
SasCredential
必要
SAS Credential definition
sasUri
string
必要
SAS uri
type
enum
必要
Type of credential
pendingUploadId
string
必要
ID for this upload request.
version
string
Version of asset to be created if user did not specify version when initially creating upload
pendingUploadType
enum
必要
The type of pending upload.
Request
POST /evaluators/{name}/versions/{version}/startPendingUpload HTTP/1.1
回應
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json